package top.awin_x.learn.dao;


import top.awin_x.learn.pojo.ScoreInfo;

import java.util.ArrayList;

public interface ScoreDB {
    ScoreInfo getScoreInfoByID(int studentID, int courseID);
    ArrayList<ScoreInfo> getScoreInfoByStudentID(int studentID);
    ArrayList<ScoreInfo> getScoreInfoByCourseID(int courseID);
    int getScoreByStudentID(int studentID);
    int addScoreInfo(ScoreInfo scoreInfo);
    int updateScoreInfo(ScoreInfo scoreInfo);
    int deleteScoreInfo(int studentID, int courseID);
}
